For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This is a POST version of the GET /receivables endpoint. Use it to send search and filter parameters in the request body instead of the URL query string in case the query is too long and exceeds the URL length limit of your HTTP client.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
Request
This endpoint expects an object.
based_onstringOptionalformat: "uuid"
This parameter accepts a quote ID or an invoice ID.
* Specify a quote ID to find invoices created from this quote.
* Specify an invoice ID to find credit notes created for this invoice.
Valid but nonexistent IDs do not raise errors but produce no results.
counterpart_idstringOptionalformat: "uuid"
Return only receivables created for the counterpart with the specified ID.
Counterparts that have been deleted but have associated receivables will still return results here because the receivables contain a frozen copy of the counterpart data.
If the specified counterpart ID does not exist and never existed, no results are returned.
counterpart_namestringOptional
Return only receivables created for counterparts with the specified name (exact match, case-sensitive). For counterparts of type = individual, the full name is formatted as first_name last_name.
counterpart_name__containsstringOptional
Return only receivables created for counterparts whose name contains the specified string (case-sensitive).
counterpart_name__icontainsstringOptional
Return only receivables created for counterparts whose name contains the specified string (case-insensitive).
created_at__gtdatetimeOptional
Return only receivables created after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]. The milliseconds part of the value is ignored.
created_at__gtedatetimeOptional
Return only receivables created on or after the specified date and time. The milliseconds part of the value is ignored.
created_at__ltdatetimeOptional
Return only receivables created before the specified date and time. The milliseconds part of the value is ignored.
created_at__ltedatetimeOptional
Return only receivables created before or on the specified date and time. The milliseconds part of the value is ignored.
discounted_subtotalintegerOptional
Return only receivables with the exact specified discounted subtotal. The amount must be specified in the [minor units](https://docs.monite.com/references/currencies#minor-units) of currency. For example, $12.5 is represented as 1250.
discounted_subtotal__gtintegerOptional
Return only receivables whose discounted subtotal (in minor units) is greater than the specified value.
discounted_subtotal__gteintegerOptional
Return only receivables whose discounted subtotal (in minor units) is greater than or equal to the specified value.
discounted_subtotal__ltintegerOptional
Return only receivables whose discounted subtotal (in minor units) is less than the specified value.
discounted_subtotal__lteintegerOptional
Return only receivables whose discounted subtotal (in minor units) is less than or equal to the specified value.
document_idstringOptional
Return a receivable with the exact specified document number (case-sensitive). The document_id is the user-facing document number such as INV-00042, not to be confused with Monite resource IDs (id).
document_id__containsstringOptional
Return only receivables whose document number (document_id) contains the specified string (case-sensitive).
document_id__icontainsstringOptional
Return only receivables whose document number (document_id) contains the specified string (case-insensitive).
due_date__gtstringOptionalformat: "date"
Return receivables whose due date is after the specified date (exclusive, YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
due_date__gtestringOptionalformat: "date"
Return receivables whose due date is on or after the specified date (YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
due_date__ltstringOptionalformat: "date"
Return receivables whose due date is before the specified date (exclusive, YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
due_date__ltestringOptionalformat: "date"
Return receivables whose due date is before or on the specified date (YYYY-MM-DD).
This filter includes invoices and credit notes (only those with a due date) and excludes quotes.
entity_user_idstringOptionalformat: "uuid"
Return only receivables created by the entity user with the specified ID. To query receivables by multiple user IDs at once, use the `entity_user_id__in` parameter instead.
If the request is authenticated using an entity user token, this user must have the `receivable.read.allowed` (rather than `allowed_for_own`) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
entity_user_id__inlist of stringsOptional
Return only receivables created by the entity users with the specified IDs.
If the request is authenticated using an entity user token, this user must have the `receivable.read.allowed` (rather than `allowed_for_own`) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
has_due_datebooleanOptional
If true, returns only invoices and credit notes that have the due_date defined.
If false, returns receivables (invoices, quotes, credit notes) without a due_date.
If omitted (default), all receivables are included.
id__inlist of stringsOptional
Return only receivables with the specified IDs. Valid but nonexistent IDs do not raise errors but produce no results.
issue_date__gtdatetimeOptional
Return only non-draft receivables that were issued after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss][Z|±hh:mm]. The milliseconds part of the value is ignored.
issue_date__gtedatetimeOptional
Return only non-draft receivables that were issued on or after the specified date and time. The milliseconds part of the value is ignored.
issue_date__ltdatetimeOptional
Return only non-draft receivables that were issued before the specified date and time. The milliseconds part of the value is ignored.
issue_date__ltedatetimeOptional
Return only non-draft receivables that were issued before or on the specified date and time. The milliseconds part of the value is ignored.
limitintegerOptional1-250Defaults to 100
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.
When using pagination with a non-default limit, you must provide the `limit` value alongside `pagination_token` in all subsequent pagination requests. Unlike other pagination parameters, `limit` is not inferred from `pagination_token`.
orderenumOptional
Sort order (ascending by default). Typically used together with the sort parameter.
Allowed values:
pagination_tokenstringOptional
A pagination token obtained from a previous call to `GET /receivables` or `POST /receivables/search`. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other parameters except `limit` are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
product_idslist of stringsOptional
Return only receivables with line items containing all of the products with the specified IDs and optionally other products that are not specified.
For example, given receivables that contain the following products:
1. productA
2. productB
3. productA, productB
4. productC
5. productA, productB, productC
`product_ids` = `[productA, productB]` will return receivables 3 and 5.
Valid but nonexistent product IDs do not raise errors but produce no results.
product_ids__inlist of stringsOptional
Return only receivables with line items containing at least one of the products with the specified IDs.
For example, given receivables that contain the following products:
1. productA
2. productB
3. productA, productB
4. productC
5. productB, productC
`product_ids__in` = `[productA, productB]` will return receivables 1, 2, 3, and 5.
Valid but nonexistent product IDs do not raise errors but produce no results.
project_idstringOptionalformat: "uuid"
Return only receivables assigned to the project with the specified ID. Valid but nonexistent project IDs do not raise errors but return no results.
project_id__inlist of stringsOptional
Return only receivables that belong to one of the projects with the specified IDs. Valid but nonexistent project IDs do not raise errors but produce no results.
search_textstringOptional
Searches for the specified substring in the counterpart_name and document_id fields in receivables. The search is case-insensitive and allows partial matches. For example, abc will match 12-ABCD.
sortenumOptional
The field to sort the results by. Typically used together with the order parameter.
statusenumOptional
Return only receivables that have the specified status. See the applicable [invoice statuses](https://docs.monite.com/accounts-receivable/invoices/index), [quote statuses](https://docs.monite.com/accounts-receivable/quotes/index), and [credit note statuses](https://docs.monite.com/accounts-receivable/credit-notes#credit-note-lifecycle).
To query multiple statuses at once, use the `status__in` parameter instead.
status__inlist of stringsOptional
Return only receivables that have the specified statuses. See the applicable [invoice statuses](https://docs.monite.com/accounts-receivable/invoices/index), [quote statuses](https://docs.monite.com/accounts-receivable/quotes/index), and [credit note statuses](https://docs.monite.com/accounts-receivable/credit-notes#credit-note-lifecycle).
tag_idslist of stringsOptional
Return only receivables whose [tags](https://docs.monite.com/common/tags) include all of the tags with the specified IDs and optionally other tags that are not specified.
For example, given receivables with the following tags:
1. tagA
2. tagB
3. tagA, tagB
4. tagC
5. tagA, tagB, tagC
`tag_ids` = `[tagA, tagB]` will return receivables 3 and 5.
tag_ids__inlist of stringsOptional
Return only receivables whose [tags](https://docs.monite.com/common/tags) include at least one of the tags with the specified IDs.
For example, given receivables with the following tags:
1. tagA
2. tagB
3. tagA, tagB
4. tagC
5. tagB, tagC
`tag_ids__in` = `[tagA, tagB]` will return receivables 1, 2, 3, and 5.
Valid but nonexistent tag IDs do not raise errors but produce no results.
total_amountintegerOptional
Return only receivables with the exact specified total amount. The amount must be specified in the [minor units](https://docs.monite.com/references/currencies#minor-units) of currency. For example, $12.5 is represented as 1250.
total_amount__gtintegerOptional
Return only receivables whose total amount (in minor units) exceeds the specified value.
total_amount__gteintegerOptional
Return only receivables whose total amount (in minor units) is greater than or equal to the specified value.
total_amount__ltintegerOptional
Return only receivables whose total amount (in minor units) is less than the specified value.
total_amount__lteintegerOptional
Return only receivables whose total amount (in minor units) is less than or equal to the specified value.
typeenumOptional
Return only receivables of the specified type. Use this parameter to get only invoices, or only quotes, or only credit notes.
Allowed values:
Response
Successful Response
datalist of objects
next_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).
prev_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).
Errors
400
Post Receivables Search Request Bad Request Error
401
Post Receivables Search Request Unauthorized Error
403
Post Receivables Search Request Forbidden Error
406
Post Receivables Search Request Not Acceptable Error
409
Post Receivables Search Request Conflict Error
422
Post Receivables Search Request Unprocessable Entity Error
429
Post Receivables Search Request Too Many Requests Error
This parameter accepts a quote ID or an invoice ID.
Specify a quote ID to find invoices created from this quote.
Specify an invoice ID to find credit notes created for this invoice.
Valid but nonexistent IDs do not raise errors but produce no results.
Return only receivables with the exact specified discounted subtotal. The amount must be specified in the minor units of currency. For example, $12.5 is represented as 1250.
Return only receivables created by the entity user with the specified ID. To query receivables by multiple user IDs at once, use the entity_user_id__in parameter instead.
If the request is authenticated using an entity user token, this user must have the receivable.read.allowed (rather than allowed_for_own) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
Return only receivables created by the entity users with the specified IDs.
If the request is authenticated using an entity user token, this user must have the receivable.read.allowed (rather than allowed_for_own) permission to be able to query receivables created by other users.
IDs of deleted users will still produce results here if those users had associated receivables. Valid but nonexistent user IDs do not raise errors but produce no results.
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.
When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other pagination parameters, limit is not inferred from pagination_token.
A pagination token obtained from a previous call to GET /receivables or POST /receivables/search. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other parameters except limit are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
Return only receivables with line items containing all of the products with the specified IDs and optionally other products that are not specified.
For example, given receivables that contain the following products:
productA
productB
productA, productB
productC
productA, productB, productC
product_ids = [productA, productB] will return receivables 3 and 5.
Valid but nonexistent product IDs do not raise errors but produce no results.
Return only receivables with line items containing at least one of the products with the specified IDs.
For example, given receivables that contain the following products:
productA
productB
productA, productB
productC
productB, productC
product_ids__in = [productA, productB] will return receivables 1, 2, 3, and 5.
Valid but nonexistent product IDs do not raise errors but produce no results.
Return only receivables whose tags include all of the tags with the specified IDs and optionally other tags that are not specified.
For example, given receivables with the following tags:
tagA
tagB
tagA, tagB
tagC
tagA, tagB, tagC
tag_ids = [tagA, tagB] will return receivables 3 and 5.
Return only receivables whose tags include at least one of the tags with the specified IDs.
For example, given receivables with the following tags:
tagA
tagB
tagA, tagB
tagC
tagB, tagC
tag_ids__in = [tagA, tagB] will return receivables 1, 2, 3, and 5.
Valid but nonexistent tag IDs do not raise errors but produce no results.
Return only receivables with the exact specified total amount. The amount must be specified in the minor units of currency. For example, $12.5 is represented as 1250.